<?php
/**
 * @description: Index view for LabelCall
 * @author: ENDORA
 * @website: https://endora.pl
 *
 * Index view for LabelCall
 */

	global $lc_url;
?>
<div id="labelcall-container" class="labelcall container">
	<div class="labelcall-logo"></div>
	<div class="rules jumbotron">
		<div class="text-center">
			<div class="loader">
				<?php echo esc_html__('Loading...', 'labelcall'); ?>
			</div>
			<div class="installed" style="display: none;">
				<h2><?php echo esc_html__('Plugin installed successfully', 'labelcall'); ?></h2>
				<span><?php echo esc_html__('Go to administration panel to continue', 'labelcall'); ?></span>
				<br><br>
				<a href="<?php echo esc_url( Config::$lc_portal_url ); ?>" class="btn btn-primary"><?php echo esc_html__('Admin panel', 'labelcall'); ?></a>
			</div>
			<div class="not-installed" style="display: none;">
				<h2><?php echo esc_html__('No configuration', 'labelcall'); ?></h2>
				<span><?php echo esc_html__('To be able to use plugin, go to integration configuration', 'labelcall'); ?></span>
				<br><br>
				<?php
					$url = Config::$lc_portal_url . '/#/install?type=woocommerce';

					$domainUrl = explode('//', get_site_url())[1];
					$lang = get_locale() === 'pl_PL' ? 'Polski' : 'English';
					$email = get_option('admin_email');
					$current_user_id = get_current_user_id();
					$phone = get_user_meta($current_user_id, 'billing_phone', true);
					if ($phone) {
						if (!preg_match('/\+.+/m', $phone)) {
							$phone = '+48' . $phone;
						}
						$phone = str_replace(' ', '', $phone);
					}
					$name = wp_get_current_user()->user_firstname;
					
					$url .= '&domain=' . $domainUrl . '&lang=' . $lang . '&email=' . $email . '&name=' . $name;
					
					if ($phone) {
						$url .= '&phone=' . $phone;
					}
				?>
				<a href="<?php echo esc_url($url) ?>" class="btn btn-primary"><?php echo esc_html__('Configuration', 'labelcall'); ?></a>
			</div>
		</div>
	</div>
</div>
<script>
	(function() {

		$.ajax({
			url: "<?php echo esc_url(Config::$lc_url )?>/api/v1.0/account/CheckIfIntegrationExistsByDomainAndType?Domain=<?php echo esc_attr(explode('//', get_site_url())[1]); ?>&IntegrationType=woocommerce"
		}).done(function(data) {
			if (data.IsSuccess) {
				$('.loader').remove();
				if (data.Result === true) {
					$('.installed').css('display', 'block');
				} else {
					$('.not-installed').css('display', 'block');
				}
			} else {
				console.error(data.ErrorCodes);
			}
		});
	})();
</script>
